%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define rcv    rc3
%define rel    17

Name:          gr-funcube
Summary:       GNURadio support for FUNcube Dongle Pro and FUNcube Dongle Pro+
URL:           https://github.com/dl1ksv/gr-funcube
Group:         Communications/Radio
Version:       3.10.0
Release:       %mkrel %{?rcv:-c %{rcv}} %{rel}
License:       GPLv3
Source0:       %{url}/archive/v%{version}%{?rcv:-%{rcv}}/%{name}-%{version}%{?rcv:.%{rcv}}.tar.gz
Source1:       10-funcube.rules

BuildRequires: alsa-lib-devel
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gcc-c++
BuildRequires: pkgconfig(gmp)
# Needed for gnuradio .cmake files:
BuildRequires: gnuradio-utils
BuildRequires: graphviz
BuildRequires: hidapi-devel
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(libunwind)
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: pkgconfig(log4cpp)
BuildRequires: mpir-devel
BuildRequires: pkgconfig(orc-0.4)
BuildRequires: pkgconfig(gmpxx)
BuildRequires: pkgconfig(gnuradio-audio)
BuildRequires: pkgconfig(gnuradio-blocks)
BuildRequires: pkgconfig(gnuradio-runtime)
BuildRequires: pkgconfig(jack)
BuildRequires: portaudio-devel
BuildRequires: pybind11-devel
BuildRequires: python3-devel
BuildRequires: python3-numpy-devel

# For tests only
BuildRequires: python-gnuradio-pmt
BuildRequires: python-gnuradio-runtime

Requires:      %{libname} = %{version}-%{release}

Obsoletes:     gr-fcdproplus < 3.9
Obsoletes:     gr-fcdproplus-debuginfo < 3.9
Obsoletes:     gr-fcdproplus-debugsource < 3.9
Obsoletes:     gr-fcdproplus-doc < 3.9
Obsoletes:     %{_lib}gr-fcdproplus-devel < 3.9
Obsoletes:     %{_lib}gr-fcdproplus0 < 3.9
Obsoletes:     %{_lib}gr-fcdproplus0-debuginfo < 3.9

%description
GNURadio support for FUNcube Dongle Pro and FUNcube Dongle Pro+.

%package -n %{libname}
Summary:          Library files for gr-funcube
Group:            System/Libraries
Requires:         %{name} = %{version}-%{release}

%description -n %{libname}
Library files for gr-funcube.

%package -n %{devname}
Summary:       Development files for gr-funcube
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for gr-funcube.

%package doc
Summary:       Documentation files for gr-funcube
BuildArch:    noarch

%description doc
Documentation files for gr-funcube.

%prep
%autosetup -p1 -n %{name}-%{version}%{?rcv:.%{rcv}}

%build
%cmake \
       -DENABLE_DOXYGEN=on \
       -DGR_PKG_DOC_DIR=%{_docdir}/%{name}

%cmake_build

%check
#cd %%{_vpath_builddir}
#ctest -V

%install
%cmake_install

# udev rule
install -Dpm 0644 %{S:1} %{buildroot}%{_udevrulesdir}/10-funcube.rules

%pre
##TODO maybe
# sharing group with the rtl-sdr package not to introduce new group
# todo: consolidate also with the uhd package (usrp group) to have one generic
# group e.g. 'sdr' for this class of devices
#getent group rtlsdr >/dev/null || \
#%%{_sbindir}/groupadd -r rtlsdr >/dev/null 2>&1
#exit 0

%files
%license COPYING
%doc README.md
%{python3_sitearch}/funcube
%{_datadir}/gnuradio/grc/blocks/*
%{_udevrulesdir}/10-funcube.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/funcube/
%{_libdir}/*.so
%{_libdir}/cmake/funcube/

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.10.0-0.rc3.17.mga10
+ Revision: 2243558
- Mageia 10 Mass Rebuild

* Sat Mar 08 2025 daviddavid <daviddavid> 3.10.0-0.rc3.16.mga10
+ Revision: 2161918
- rebuild for python 3.13

* Sun Feb 23 2025 barjac <barjac> 3.10.0-0.rc3.15.mga10
+ Revision: 2151241
- rebuild for gnuradio-3.10.12

* Fri Jan 31 2025 daviddavid <daviddavid> 3.10.0-0.rc3.14.mga10
+ Revision: 2143754
- rebuild for new spdlog 1.15.0

* Wed Oct 02 2024 daviddavid <daviddavid> 3.10.0-0.rc3.13.mga10
+ Revision: 2102515
- rebuild for new fmt 11.0.2

* Mon Aug 26 2024 barjac <barjac> 3.10.0-0.rc3.12.mga10
+ Revision: 2091400
- rebuild for gnuradio-3.10.11.0

* Tue May 14 2024 barjac <barjac> 3.10.0-0.rc3.11.mga10
+ Revision: 2064221
- rebuild for gnuradio-3.10.10.0

* Wed May 08 2024 wally <wally> 3.10.0-0.rc3.10.mga10
+ Revision: 2062942
- rebuild for spdlog 1.14.1

* Wed Apr 10 2024 barjac <barjac> 3.10.0-0.rc3.9.mga10
+ Revision: 2056333
- rebuild for gnuradio-3.10.9.2

* Sun Feb 11 2024 daviddavid <daviddavid> 3.10.0-0.rc3.8.mga10
+ Revision: 2040188
- rebuild for new spdlog

* Fri Dec 29 2023 joequant <joequant> 3.10.0-0.rc3.7.mga10
+ Revision: 2023777
- update to py3.12
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Wed Sep 06 2023 papoteur <papoteur> 3.10.0-0.rc3.5.mga10
+ Revision: 1984859
- rebuid for spdlog 1.12

* Wed Jan 25 2023 barjac <barjac> 3.10.0-0.rc3.4.mga9
+ Revision: 1936207
- rebuild for gnuradio-3.10.5.1

* Fri Nov 04 2022 papoteur <papoteur> 3.10.0-0.rc3.3.mga9
+ Revision: 1902559
- rebuild for spdlog 1.11.0

* Thu Oct 13 2022 papoteur <papoteur> 3.10.0-0.rc3.2.mga9
+ Revision: 1896738
- Rebuild for libfmt 9.1.0

* Sat Sep 17 2022 barjac <barjac> 3.10.0-0.rc3.1.mga9
+ Revision: 1889570
- new version 3.10.0.rc3

* Fri Aug 05 2022 barjac <barjac> 3.10.0-0.rc1.4.mga9
+ Revision: 1875421
- rebuild for gnuradio-3.10.3.0

* Tue Apr 12 2022 barjac <barjac> 3.10.0-0.rc1.3.mga9
+ Revision: 1849061
- rebuild for gnuradio-3.10.2.0

* Tue Feb 22 2022 tv <tv> 3.10.0-0.rc1.2.mga9
+ Revision: 1782869
- Rebuild for python-3.10

* Fri Feb 04 2022 barjac <barjac> 3.10.0-0.rc1.1.mga9
+ Revision: 1771422
- new version 3.10.0.rc1

* Wed Sep 22 2021 barjac <barjac> 1.0.0-5.mga9
+ Revision: 1746169
- Rebuild for gnuradio-3.9.3.0-rc1

* Sat Jun 19 2021 barjac <barjac> 1.0.0-4.mga9
+ Revision: 1731258
- rebuild for gnuradio-3.9.2

* Wed Jun 09 2021 barjac <barjac> 1.0.0-3.mga9
+ Revision: 1730249
- rebuild for volk-1.5.0

* Wed Mar 31 2021 barjac <barjac> 1.0.0-2.mga9
+ Revision: 1712251
- add remaining obsoletes

* Tue Mar 30 2021 barjac <barjac> 1.0.0-1.mga9
+ Revision: 1711836
- Modify spec to fit Mageia policy
- obsoletes gr-fcdproplus which it replaces
- new package gr-funcube imported from Fedora


* Wed Feb 17 2021 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0.0-1
- Initial version
  Related: rhbz#1924712
